//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FormMusic.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmProg *frmProg;
//---------------------------------------------------------------------------
__fastcall TfrmProg::TfrmProg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::FormShow(TObject *Sender)
{
  play = -1;
  fl_pause = false;
  if (FileExists(sys_path + FILE_LIST_MUSIC))
    {
      lbPath->LoadFromFile(sys_path + FILE_LIST_MUSIC);
      LoadListToObject();
    }
      else
        {
          lbMusic->Items->Clear();
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::FormCreate(TObject *Sender)
{
  lbPath = new TStringList();
  lbPath->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::FormClose(TObject *Sender, TCloseAction &Action)
{
  delete lbPath;        
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbOpenClick(TObject *Sender)
{
  if (od->Execute())
    {
      for (int PrX = 0; PrX < od->Files->Count; PrX++)
        {
          lbPath->Add(od->Files->Strings[PrX]);
        }
      LoadListToObject();
      lbPath->SaveToFile(sys_path + FILE_LIST_MUSIC);  
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbDeleteClick(TObject *Sender)
{
  if (lbMusic->ItemIndex != -1)
    {
      DeleteListMusic(lbMusic->ItemIndex);
      lbPath->SaveToFile(sys_path + FILE_LIST_MUSIC); 
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbPlayClick(TObject *Sender)
{
  if (lbMusic->ItemIndex != play)
    {
      StopPlay();
      if (lbMusic->Items->Count > 0)
        {
          StartPlay(lbMusic->ItemIndex);
        }  
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbFirstClick(TObject *Sender)
{
  bool fl;
  fl = false;
  if (play != -1)
    {
      StopPlay();
      fl = true;
    }
  if (lbMusic->Items->Count > 0)
    {
      lbMusic->ItemIndex = 0;
      if (fl)
        {
          StartPlay(0);
        }  
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbBackClick(TObject *Sender)
{
  bool fl;
  fl = false;
  if (play != -1)
    {
      StopPlay();
      fl = true;
    }
  if (lbMusic->Items->Count > 0)
    {
      lbMusic->ItemIndex = lbMusic->ItemIndex - 1;
      if (fl)
        {
          StartPlay(lbMusic->ItemIndex);
        }
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbLastClick(TObject *Sender)
{
  bool fl;
  fl = false;
  if (play != -1)
    {
      StopPlay();
      fl = true;
    }
  if (lbMusic->Items->Count > 0)
    {
      lbMusic->ItemIndex = lbMusic->Items->Count - 1;
      if (fl)
        {
          StartPlay(lbMusic->ItemIndex);
        }
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbNextClick(TObject *Sender)
{
  bool fl;
  fl = false;
  if (play != -1)
    {
      StopPlay();
      fl = true;
    }
  if (lbMusic->ItemIndex < lbMusic->Items->Count - 1)
    {
      lbMusic->ItemIndex = lbMusic->ItemIndex + 1;
      if (fl)
        {
          StartPlay(lbMusic->ItemIndex);
        }
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbStopClick(TObject *Sender)
{
  StopPlay();
}
//---------------------------------------------------------------------------
