//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ProgramUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CSPIN"
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TfrmProg *frmProg;
//---------------------------------------------------------------------------
void MessageDurak(int message)
{
  if (message == ALL_OTBIT)
    { //    
      frmProg->fl_all_otbit = true;
    }
}
//---------------------------------------------------------------------------
__fastcall TfrmProg::TfrmProg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::FormCreate(TObject *Sender)
{
  InitProg();
  obj->SetEvent(MessageDurak);
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::FormClose(TObject *Sender, TCloseAction &Action)
{
  if (MessageBox(Handle, "     \n    ?", WINDOW_TITLE, MB_YESNO | MB_ICONQUESTION) == 6)
    {
      Action = caFree;
      FreeProg();
    }
      else
        {
          Action = caNone;
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbSendClick(TObject *Sender)
{
  if (lbConnect->Items->Count != 0)
    {
      AnsiString message;
      message = "";
      if (InputQuery(" ", " :", message))
        {
          if (lbConnect->ItemIndex == -1)
            {
              lbConnect->ItemIndex = 0;
            }
          sSock->Socket->Connections[lbConnect->ItemIndex]->SendText(MESS_SERVER_MESSAGE + message);
        }
    }
      else
        {
          MessageBox(Handle, "    !", WINDOW_TITLE, MB_OK | MB_ICONINFORMATION);
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbDisconnectClick(TObject *Sender)
{
  if (lbConnect->Items->Count != 0)
    {
      if (lbConnect->ItemIndex == -1)
        {
          lbConnect->ItemIndex = 0;
        }
      AnsiString qText;
      qText = "    : " + lbConnect->Items->Strings[lbConnect->ItemIndex];
      if (MessageBox(Handle, qText.c_str(), WINDOW_TITLE, MB_YESNO | MB_ICONQUESTION) == 6)
        {
          sSock->Socket->Connections[lbConnect->ItemIndex]->SendText(MESS_SERVER_CLOSE_GAME);
          sSock->Socket->Connections[lbConnect->ItemIndex]->Close();
          lbConnect->Items->Delete(lbConnect->ItemIndex);
        }
    }
      else
        {
          MessageBox(Handle, "    !", WINDOW_TITLE, MB_OK | MB_ICONINFORMATION);
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbNewClick(TObject *Sender)
{
  if (lbConnect->Items->Count > 1)
    {
      StartGame();
    }
      else
        {
          MessageBox(Handle, " ", WINDOW_TITLE, MB_OK | MB_ICONINFORMATION);
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmProg::sbCloseClick(TObject *Sender)
{
  if (active)
    {
      CloseGame();
    }
      else
        {
          MessageBox(Handle, "   !", WINDOW_TITLE, MB_OK | MB_ICONINFORMATION);
        }
}
//---------------------------------------------------------------------------



void __fastcall TfrmProg::sSockClientDisconnect(TObject *Sender,
      TCustomWinSocket *Socket)
{
  for (int PrX = 0; PrX  < sSock->Socket->ActiveConnections; PrX++)
    {
      if (Socket == sSock->Socket->Connections[PrX])
        {
          lbConnect->Items->Delete(PrX);
          break; 
        }
    }
}
//---------------------------------------------------------------------------

void __fastcall TfrmProg::sSockClientRead(TObject *Sender,
      TCustomWinSocket *Socket)
{
  MessageRead(Socket);
}
//---------------------------------------------------------------------------

void __fastcall TfrmProg::sSockClientWrite(TObject *Sender,
      TCustomWinSocket *Socket)
{
  MessageWrite(Socket);
}
//---------------------------------------------------------------------------

void __fastcall TfrmProg::sSockClientConnect(TObject *Sender,
      TCustomWinSocket *Socket)
{
  if (sSock->Socket->ActiveConnections > csUser->Value)
    {
      for (int PrX = 0; PrX < sSock->Socket->ActiveConnections; PrX++)
        {
          if (Socket == sSock->Socket->Connections[PrX])
            {
              lbConnect->Items->Delete(PrX);
              break;
            }
        }
      Socket->SendText(MESS_SERVER_CLOSE_GAME);
      Socket->Close();        
    }
}
//---------------------------------------------------------------------------

