#ifndef __MOD_MUDIC_DLL__
#define __MOD_MUDIC_DLL__
//---------------------------------------------------------------------------
typedef void (__export TShowMusic(char *path));
typedef void (__export TFreeMusic(void));
//---------------------------------------------------------------------------
#define FUNC_SHOW_MUSIC           "_ShowMusic"
#define FUNC_FREE_MUSIC           "_FreeMusic"
//---------------------------------------------------------------------------
class TMusicDLL
{
private:
  HANDLE handle;
public:
  TShowMusic *show;
  TFreeMusic *free;
  __fastcall TMusicDLL(void) { handle = NULL; };
  __fastcall ~TMusicDLL(void) { FreeDLL(); };
  bool __fastcall LoadDLL(AnsiString path)
    {
      handle = LoadLibrary(path.c_str());
      if (handle)
        {
          return true;
        }
      return false;
    };
  bool __fastcall LoadFunc(void)
    {
      show = (TShowMusic *)GetProcAddress(handle, FUNC_SHOW_MUSIC);
      if (!show)
        {
          return false;
        }
      free = (TFreeMusic *)GetProcAddress(handle, FUNC_FREE_MUSIC);
      if (!free)
        {
          return false;
        }
      return true;
    };
  void __fastcall FreeDLL(void)
    {
      if (handle)
        {
          FreeLibrary(handle);
        }
    };
};
//---------------------------------------------------------------------------
#endif
 